## org.apache.maven.embedder
Class MavenEmbedderConsoleLogger

    java.lang.Object
      org.apache.maven.embedder.AbstractMavenEmbedderLogger
          org.apache.maven.embedder.MavenEmbedderConsoleLogger

All Implemented Interfaces:
  MavenEmbedderLogger

    public final class MavenEmbedderConsoleLogger

extends AbstractMavenEmbedderLogger

Logger sending everything to the standard output streams. This is mainly for the cases when you have a utility that does not have a logger to supply.

Version:
  $Id: MavenEmbedderConsoleLogger.java 292888 2005-10-01 01:17:36Z jvanzyl $
Author:
  Avalon Development Team

Field Summary

Fields inherited from interface org.apache.maven.embedder.MavenEmbedderLogger
`LEVEL_DEBUG, LEVEL_DISABLED, LEVEL_ERROR, LEVEL_FATAL, LEVEL_INFO, LEVEL_WARN`

Constructor Summary
`MavenEmbedderConsoleLogger()`

Method Summary
`void` `debug(java.lang.String message, java.lang.Throwable throwable)`
`void` `error(java.lang.String message, java.lang.Throwable throwable)`
`void` `fatalError(java.lang.String message, java.lang.Throwable throwable)`
`void` `info(java.lang.String message, java.lang.Throwable throwable)`
`void` `warn(java.lang.String message, java.lang.Throwable throwable)`

Methods inherited from class org.apache.maven.embedder.AbstractMavenEmbedderLogger
`debug, error, fatalError, getName, getThreshold, info, isDebugEnabled, isErrorEnabled, isFatalErrorEnabled, isInfoEnabled, isValidThreshold, isWarnEnabled, setThreshold, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MavenEmbedderConsoleLogger

    public MavenEmbedderConsoleLogger()

Method Detail

### debug

    public void debug(java.lang.String message,
                      java.lang.Throwable throwable)

### info

    public void info(java.lang.String message,
                     java.lang.Throwable throwable)

### warn

    public void warn(java.lang.String message,
                     java.lang.Throwable throwable)

### error

    public void error(java.lang.String message,
                      java.lang.Throwable throwable)

### fatalError

    public void fatalError(java.lang.String message,
                           java.lang.Throwable throwable)

Copyright © 2011. All Rights Reserved.